Subject: bug#68223: [cuirass] Bogus (ancient) notifications sent

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 02 Jan 2024 15:05:40 -0500

Hi,

Maxim Cournoyer <[email-masked]> writes:

> Hello,
>
> Following the qt-team branch builds, I just received today:
>
> From: [email-masked] (Cuirass)
> Subject: Build sound-juicer.aarch64-linux on qt-team is broken.
> Newsgroups: qt-team
> Date: Thu, 01 Jan 1970 01:00:00 +0000 (54 years, 1 day, 6 hours ago)
> Attachment: [3. text/html]...
>
> <p>The build <b>sound-juicer.aarch64-linux</b> for specification <b>qt-team</b> is broken. You can find the detailed information about this build <a
> href="https://ci.guix.gnu.org/build/2187490/details">here</a>.</p>
>
> https://ci.guix.gnu.org/build/2187490/details
>
> It's dated from 1970.  Prior to these I got some that were 10 weeks old.
> I'm not sure what these were triggered by, but that seems a bug.
> Ricardo hypothesized that "maybe it finally got around to building these
> queued up jobs…?", which sounds like a potential explanation.

More context: these 1970 dated notifications occurred following
restarting the builds for which I had originally received 10 weeks dated
notifications.  They are still marked pending as "Scheduled", so I'm not
sure why a notification was sent.

-- 
Thanks,
Maxim